#249 Freeze on Ruby require sentence

v2.0
closed-fixed
None
5
2014-03-10
2014-02-12
No

LXR v2.0.0: parsing a Ruby file endlessly loops on require sentence

Cause: wrong test in language construction identification (Ruby.pm line 48), replace operator =~ by !~

Discussion

  • Andre-Littoz

    Andre-Littoz - 2014-03-10
    • status: open --> closed-fixed
     
  • Andre-Littoz

    Andre-Littoz - 2014-03-10

    Fixed in CVS

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks